<?php
session_start();
include "conn.php"; // Include the database connection file at the beginning of the script.

if (isset($_SESSION['username'])) {
    $VIA = $_SESSION['username'];

    function generaStringaRandom($lunghezza) {
        $caratteri = '0123456789abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ';
        $stringaRandom = '';
        for ($i = 0; $i < $lunghezza; $i++) {
            $stringaRandom .= $caratteri[rand(0, strlen($caratteri) - 1)];
        }
        return $stringaRandom;
    }

    if (isset($_SESSION["TRANSAZIONE"])) {
        $TRCODE = $_SESSION["TRANSAZIONE"];
    } else {
        $TRCODE = $_SESSION["TRANSAZIONE"] = generaStringaRandom(10);
    }

    $ELTR = $_POST["vgg"];

    try {
        $conn = new PDO("mysql:host=$host;dbname=$db", $user, $password);
        $conn->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);

        if ($ELTR == 10 || $ELTR == 20 || $ELTR == 30) {
            // Use prepared statements to avoid SQL injection.
            $stmt = $conn->prepare("SELECT * FROM PRODOTTO WHERE BARCODE = :barcode");
            $stmt->bindParam(':barcode', $BARCODE);

            if ($ELTR == "10") {
                $BARCODE = 3341586615529;
            } elseif ($ELTR == "20") {
                $BARCODE = 7192055180878;
            } elseif ($ELTR == "30") {
                $BARCODE = 2085729269989;
            }

            $stmt->execute();

            if ($row = $stmt->fetch(PDO::FETCH_ASSOC)) {
                $NOME = $row["NOME"];
                $PREZZO = str_replace(",", ".", $row["PREZZO"]);
                $VENDUTI = $row["VENDUTI"];

                // Insert the data into the TRANSAZIONE table.
                $query = "INSERT INTO TRANSAZIONE(TRCODE, NOME, PREZZO, BARCODE, STORE, VENDUTI)
                          VALUES (:TRCODE, :NOME, :PREZZO, :BARCODE, :VIA, :VENDUTI)";
                $insertStatement = $conn->prepare($query);
                $insertStatement->bindParam(':TRCODE', $TRCODE);
                $insertStatement->bindParam(':NOME', $NOME);
                $insertStatement->bindParam(':PREZZO', $PREZZO);
                $insertStatement->bindParam(':BARCODE', $BARCODE);
                $insertStatement->bindParam(':VIA', $VIA);
                $insertStatement->bindParam(':VENDUTI', $VENDUTI);
                $insertStatement->execute();

                header("location: carrello.php");
            } else {
                echo "Product not found.";
            }
        } else {
            echo "Invalid ELTR value.";
        }
    } catch (PDOException $e) {
        echo "Error: " . $e->getMessage();
    }
} else {
    $_SESSION["error"] = "NON HAI L'AUTORIZZAZIONE PER ACCEDERE ALLA PAGINA";
    header("location: error.php");
}
?>
