<?php
session_start();

if (isset($_SESSION['username'])) {
    if (isset($_POST["elemento_id"])) {
        $ID = $_POST["elemento_id"];

        include "conn.php"; // Assuming "conn.php" contains your database connection details

        try {
            $conn = new PDO("mysql:host=$host;dbname=$db", $user, $password);
            $conn->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);

            // Select the row to be deleted and store it in a variable
            $stmt_select = $conn->prepare("SELECT * FROM FATTURATO WHERE ID = :ID");
            $stmt_select->bindParam(':ID', $ID, PDO::PARAM_INT);
            $stmt_select->execute();
            $deleted_row = $stmt_select->fetch(PDO::FETCH_ASSOC);

            // Insert the deleted row into FATTURATOCANCELLATO table (including CIFRA)
            $stmt_insert = $conn->prepare("INSERT INTO FATTURATOCANCELLATO (ID, STORE, CIFRA, TRCODE, lista, IDFIDELITY, NOME, TELEFONO, DATA) VALUES (:ID, :STORE, :CIFRA, :TRCODE, :lista, :IDFIDELITY, :NOME, :TELEFONO, :DATA)");
            $stmt_insert->bindParam(':ID', $deleted_row["ID"], PDO::PARAM_INT);
            $stmt_insert->bindParam(':STORE', $deleted_row["STORE"], PDO::PARAM_STR);
            $stmt_insert->bindParam(':CIFRA', $deleted_row["CIFRA"], PDO::PARAM_STR);
            $stmt_insert->bindParam(':TRCODE', $deleted_row["TRCODE"], PDO::PARAM_STR);
            $stmt_insert->bindParam(':lista', $deleted_row["lista"], PDO::PARAM_STR);
            $stmt_insert->bindParam(':IDFIDELITY', $deleted_row["IDFIDELITY"], PDO::PARAM_STR);
            $stmt_insert->bindParam(':NOME', $deleted_row["NOME"], PDO::PARAM_STR);
            $stmt_insert->bindParam(':TELEFONO', $deleted_row["TELEFONO"], PDO::PARAM_STR);
            $stmt_insert->bindParam(':DATA', $deleted_row["DATA"], PDO::PARAM_STR);
            $stmt_insert->execute();

            // Delete the row from FATTURATO table using a placeholder
            $stmt_delete = $conn->prepare("DELETE FROM FATTURATO WHERE ID = :ID");
            $stmt_delete->bindParam(':ID', $ID, PDO::PARAM_INT);
            $stmt_delete->execute();

            // Redirect to dashboard.php
            header("location: dashboard.php");
            exit(); // Important to stop further execution
        } catch (PDOException $e) {
            echo "Error : " . $e->getMessage();
        }
    } else {
        echo "ID elemento non fornito.";
    }
} else {
    $_SESSION["error"] = "NON HAI L'AUTORIZZAZIONE PER ACCEDERE ALLA PAGINA";
    header("location: error.php");
}
?>
