<?php
@include "conn.php";
session_start();
if (isset($_SESSION['username'])) {

    $CODICEUNIVOCO = $_POST["UNIVOCO"];
    $IMPORTOTOTALE = 0;

    try {
        $conn = new PDO("mysql:host=$host;dbname=$db", $user, $password);
        $conn->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
        $stmt = $conn->prepare("
            SELECT * FROM fatturaelettronica WHERE CODICEUNIVOCO=:codice
        ");
        $stmt->bindParam(':codice', $CODICEUNIVOCO);
        $stmt->execute();

        $result = $stmt->setFetchMode(PDO::FETCH_ASSOC);
        foreach (($stmt->fetchAll()) as $k => $v) {

            $NOME = $v["NOME"];
            $RIGA = $v["RIGA"];
            $STORE = $v["STORE"];
            $DATA = $v["DATA"];
            $BARCODE = $v["BARCODE"];
            $PREZZO = $v["PREZZO"];
            $TOTALE = $v["TOTALE"];
            $PROGRESSIVO = $v["PROGRESSIVO"];

            $IMPORTOTOTALE += $TOTALE;
        }
    } catch (PDOException $e) {
        echo "Error: " . $e->getMessage();
    }

    $iva = 22;
    $importoiva = (($IMPORTOTOTALE * $iva) / 100);
    $totaleivato = $IMPORTOTOTALE + $importoiva;

    // Crea un nuovo documento XML
    $dom = new DOMDocument('1.0', 'UTF-8');

    // Imposta l'opzione per formattare l'output
    $dom->preserveWhiteSpace = false;
    $dom->formatOutput = true;

    // Crea l'elemento radice <ns2:FatturaElettronica>
    $fatturaElettronica = $dom->createElementNS('http://ivaservizi.agenziaentrate.gov.it/docs/xsd/fatture/v1.2', 'ns2:FatturaElettronica');
    $fatturaElettronica->setAttribute('versione', 'FPR12');
    $dom->appendChild($fatturaElettronica);

    // Crea l'elemento <FatturaElettronicaHeader>
    $header = $dom->createElement('FatturaElettronicaHeader');
    $fatturaElettronica->appendChild($header);

    // Crea l'elemento <DatiTrasmissione>
    $datiTrasmissione = $dom->createElement('DatiTrasmissione');
    $header->appendChild($datiTrasmissione);

    // Aggiungi gli elementi figlio a <DatiTrasmissione>
    $idTrasmittente = $dom->createElement('IdTrasmittente');
    $datiTrasmissione->appendChild($idTrasmittente);

    $idPaese = $dom->createElement('IdPaese', 'IT');
    $idTrasmittente->appendChild($idPaese);

    $idCodice = $dom->createElement('IdCodice', '06664830822');
    $idTrasmittente->appendChild($idCodice);

    $progressivoInvio = $dom->createElement('ProgressivoInvio', '00001');
    $datiTrasmissione->appendChild($progressivoInvio);

    // ... Aggiungi ulteriori elementi al documento XML

    // Salva il documento XML in una stringa
    $xmlString = $dom->saveXML();

    // Specifica l'header per il download del file XML
    header('Content-Type: application/xml');
    header('Content-Disposition: attachment; filename="fattura.xml"');

    // Stampa il contenuto del file XML
    echo $xmlString;
} else {
    $_SESSION["error"] = "NON HAI L'AUTORIZZAZIONE PER ACCEDERE ALLA PAGINA";
    header("location:error.php");
}
?>
