<?php
require_once('tcpdf/tcpdf.php');

// Connessione al database
$config = [
    'db_engine' => 'mysql',
    'db_host' => 'localhost',
    'db_name' => 'app',
    'db_user' => 'smilesmoke',
    'db_password' => 'palermo9898',
];

$db_config = $config['db_engine'] . ":host=".$config['db_host'] . ";dbname=" . $config['db_name'];
$user = $config['db_user'];
$password = $config['db_password'];

try {
    $pdo = new PDO($db_config, $user, $password, [
        PDO::MYSQL_ATTR_INIT_COMMAND => "SET NAMES utf8"
    ]);
    $pdo->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
    $pdo->setAttribute(PDO::ATTR_EMULATE_PREPARES, false);
} catch (PDOException $e) {
    exit("Impossibile connettersi al database: " . $e->getMessage());
}

// Esegui la query
$query = "SELECT * FROM MAGAZZINO WHERE QNT  <= 0";
$stmt = $pdo->prepare($query);
$stmt->execute();
$rows = $stmt->fetchAll(PDO::FETCH_ASSOC);

// Genera il PDF utilizzando TCPDF
$pdf = new TCPDF('P', 'mm', 'A4', true, 'UTF-8', false);

$pdf->SetCreator(PDF_CREATOR);
$pdf->SetAuthor('Your Name');
$pdf->SetTitle(''); // Imposta il titolo vuoto
$pdf->SetSubject('Report');
$pdf->SetKeywords('TCPDF, PDF, example');

$pdf->setPrintHeader(false);
$pdf->setPrintFooter(false);

$pdf->AddPage();

// Aggiungi il contenuto al PDF
$pdf->SetFont('helvetica', '', 8);
$pdf->Cell(30, 10, 'ID', 1, 0, 'C');
$pdf->Cell(30, 10, 'ID Prodotto', 1, 0, 'C');
$pdf->Cell(40, 10, 'Barcode', 1, 0, 'C');
$pdf->Cell(40, 10, 'Nome', 1, 0, 'C');
$pdf->SetFont('helvetica', '', 8);
$pdf->Cell(20, 10, 'QNT', 1, 0, 'C');
$pdf->Cell(30, 10, 'Store', 1, 1, 'C');

if (count($rows) > 0) {
    foreach ($rows as $row) {
        $pdf->Cell(30, 10, $row['ID'], 1, 0, 'C');
        $pdf->Cell(30, 10, $row['IDPRODOTTO'], 1, 0, 'C');
        $pdf->Cell(40, 10, $row['BARCODE'], 1, 0, 'C');
        $pdf->SetFont('helvetica', '', 4);
        $pdf->Cell(40, 10, $row['NOME'], 1, 0, 'C');
        $pdf->SetFont('helvetica', '', 8);
        $pdf->Cell(20, 10, $row['QNT'], 1, 0, 'C');
        $pdf->Cell(30, 10, $row['STORE'], 1, 1, 'C');
    }
} else {
    $pdf->Cell(190, 10, 'Nessun risultato trovato.', 1, 1, 'C');
}

// Output del PDF
$pdf->Output('magazzino_qnt_zero.pdf', 'D');
?>
